## haskell-gtk 0.12.3

=== demo/inputmethod/Makefile ===

PROG  = layout 
SOURCES = Layout.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

## haskell-gtk 0.11.0

=== debian/changelog ===
haskell-gtk (0.11.0-5) unstable; urgency=low

  * debian/patches/gtk-thread-backport-597837.patch: 
    Backport from 0.11.2, Closes: #597837

 -- Joachim Breitner <nomeata@debian.org>  Sat, 02 Oct 2010 16:43:13 +0200

haskell-gtk (0.11.0-4) unstable; urgency=low

  * Work around ghc timer issues on hppa (Closes: #590258)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Jul 2010 19:37:52 +0200

haskell-gtk (0.11.0-3) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 18:48:52 -0300

haskell-gtk (0.11.0-2) unstable; urgency=low

  * control: Include Build-Depends: in gio, to enable Cabal flag.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 31 May 2010 09:45:42 -0300

haskell-gtk (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583225)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:43:48 -0300

=== debian/control ===
Source: haskell-gtk
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-cairo-dev (>= 0.11)
  , libghc6-cairo-dev (<< 0.12)
#  , libghc6-cairo-prof
  , libghc6-pango-dev (>= 0.11)
  , libghc6-pango-dev (<< 0.12)
#  , libghc6-pango-prof
  , libghc6-gio-dev (>= 0.11)
  , libghc6-gio-dev (<< 0.12)
#  , libghc6-gio-prof
  , libgtk2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-cairo-doc
  , libghc6-pango-doc
  , libghc6-gio-doc
Standards-Version: 3.9.1
Homepage: http://hackage.haskell.org/package/gtk
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtk

Package: libghc6-gtk-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtk2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Gtk+ graphical user interface library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

# Package: libghc6-gtk-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the Gtk+ graphical user interface library; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  This is the core library of the Gtk2Hs suite of libraries for Haskell based on
#  Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
#  graphical user interfaces.

Package: libghc6-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the Gtk+ graphical user interface library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|gtk-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/gtk \
    ([\d\.]*\d)/

## haskell-gtk 0.12.0

=== debian/changelog ===
haskell-gtk (0.12.0-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 23:01:35 +0000

haskell-gtk (0.12.0-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Jun 2011 17:52:37 +0100

haskell-gtk (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Lets be optimistic and re-enable -prof package (Closes: #520649)
  * Remove preinst script, not require with clean ghc-pkg database
  * gtk-thread-backport-597837.patch: Removed, applied upstream
  * utf8.patch: Removed, applied upstream

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 23:26:55 +0530

## haskell-gtk 0.12.2

=== debian/changelog ===
haskell-gtk (0.12.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 23:58:39 +0100

=== debian/control ===
Source: haskell-gtk
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gio-dev (>= 0.12)
  , libghc-gio-dev (<< 0.13)
  , libghc-gio-prof
  , libgtk2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gio-doc
Standards-Version: 3.9.1
Homepage: http://hackage.haskell.org/package/gtk
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtk

Package: libghc-gtk-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtk2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Gtk+ graphical user interface library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

Package: libghc-gtk-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Gtk+ graphical user interface library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

Package: libghc-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the Gtk+ graphical user interface library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

## haskell-gtk 0.12.3

=== debian/changelog ===
haskell-gtk (0.12.3-1ubuntu2) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2

 -- Ubuntu <ubuntu@server-437151.novalocal>  Mon, 27 Aug 2012 16:39:39 +0000

haskell-gtk (0.12.3-1ubuntu1) quantal; urgency=low

  * debian/patches/glib-single-include.patch:
    - Fix FTBFS with glib 2.32 (LP: #1014932)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Jul 2012 22:18:28 -0400

haskell-gtk (0.12.3-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 05 May 2012 23:57:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haskell-gtk
 Section: haskell
 Priority: extra
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
@@ -30,7 +31,7 @@
   , libghc-cairo-doc
   , libghc-pango-doc
   , libghc-gio-doc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/gtk
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtk

## haskell-gtk 0.12.4

=== demo/fonts/Makefile ===

PROG  = fonts 
SOURCES = Fonts.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/menu/Makefile ===

PROGS  = menudemo combodemo
SOURCES = MenuDemo.hs ComboDemo.hs

all : $(PROGS)

menudemo : MenuDemo.hs
	$(HC_RULE)

combodemo : ComboDemo.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== debian/changelog ===
haskell-gtk (0.12.4-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:19 +0200

haskell-gtk (0.12.4-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:45 +0200

haskell-gtk (0.12.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Nov 2012 10:55:19 +0100

=== debian/control ===
Source: haskell-gtk
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gio-dev (>= 0.12)
  , libghc-gio-dev (<< 0.13)
  , libghc-gio-prof
  , libgtk2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gio-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/gtk
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtk

Package: libghc-gtk-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtk2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-gtk 0.12.5.6

=== debian/changelog ===
haskell-gtk (0.12.5.6-1ppc64el1) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * Patch by Colin Watson with workaround undefining pixel so gtk2hsC2hs will
    not break the build.  Fixes ftbfs on ppc64el. (Closes: 762208)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Sep 2014 21:48:37 +0200

haskell-gtk (0.12.5.6-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Apr 2014 11:12:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
-  , libghc-glib-dev (>= 0.12)
+  , libghc-glib-dev (>= 0.12.5.3)
   , libghc-glib-dev (<< 0.13)
   , libghc-glib-prof
-  , libghc-cairo-dev (>= 0.12)
+  , libghc-cairo-dev (>= 0.12.5.3)
   , libghc-cairo-dev (<< 0.13)
   , libghc-cairo-prof
-  , libghc-pango-dev (>= 0.12)
+  , libghc-pango-dev (>= 0.12.5.3)
   , libghc-pango-dev (<< 0.13)
   , libghc-pango-prof
-  , libghc-gio-dev (>= 0.12)
+  , libghc-gio-dev (>= 0.12.5)
   , libghc-gio-dev (<< 0.13)
   , libghc-gio-prof
   , libgtk2.0-dev
-  , gtk2hs-buildtools
+  , gtk2hs-buildtools (>= 0.12.5)
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-glib-doc

=== debian/watch ===
version=3
http://hackage.haskell.org/package/gtk/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-gtk 0.13.6

=== debian/changelog ===
haskell-gtk (0.13.6-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:33 +0200

haskell-gtk (0.13.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:02 +0200

haskell-gtk (0.13.6-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 19:02:39 +0200

haskell-gtk (0.13.0.0-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:41 +0100

haskell-gtk (0.12.5.6-2) unstable; urgency=medium

  * Reupload with a more usual version number, so that this can be synced
    into Ubuntu.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Dec 2014 15:12:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,31 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
-  , libghc-glib-dev (>= 0.12.5.3)
-  , libghc-glib-dev (<< 0.13)
+  , libghc-text-dev (>= 0.11.0.6)
+  , libghc-text-dev (<< 1.3)
+  , libghc-text-prof
+  , libghc-glib-dev (>= 0.13)
+  , libghc-glib-dev (<< 0.14)
   , libghc-glib-prof
-  , libghc-cairo-dev (>= 0.12.5.3)
-  , libghc-cairo-dev (<< 0.13)
+  , libghc-cairo-dev (>= 0.13)
+  , libghc-cairo-dev (<< 0.14)
   , libghc-cairo-prof
-  , libghc-pango-dev (>= 0.12.5.3)
-  , libghc-pango-dev (<< 0.13)
+  , libghc-pango-dev (>= 0.13)
+  , libghc-pango-dev (<< 0.14)
   , libghc-pango-prof
-  , libghc-gio-dev (>= 0.12.5)
-  , libghc-gio-dev (<< 0.13)
+  , libghc-gio-dev (>= 0.13)
+  , libghc-gio-dev (<< 0.14)
   , libghc-gio-prof
   , libgtk2.0-dev
-  , gtk2hs-buildtools (>= 0.12.5)
+  , gtk2hs-buildtools (>= 0.13.0.3)
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
+  , libghc-text-doc
   , libghc-glib-doc
   , libghc-cairo-doc
   , libghc-pango-doc

## haskell-gtk 0.13.8.1

=== debian/changelog ===
haskell-gtk (0.13.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:00:02 +0200

## haskell-gtk 0.13.9

=== demo/gtkbuilder/Makefile ===

PROG  = gtkbuildertest
SOURCES = GtkBuilderTest.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== debian/changelog ===
haskell-gtk (0.13.9-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jan 2016 16:39:57 +0000

haskell-gtk (0.13.9-3) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:30 -0500

haskell-gtk (0.13.9-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:44 +0200

haskell-gtk (0.13.9-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Jul 2015 15:08:49 +0200

=== debian/control ===
Source: haskell-gtk
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-cairo-dev (>= 0.13.0.0),
 libghc-cairo-dev (<< 0.14),
 libghc-cairo-prof,
 libghc-gio-dev (>= 0.13.0),
 libghc-gio-dev (<< 0.14),
 libghc-gio-prof,
 libghc-glib-dev (>= 0.13.0.0),
 libghc-glib-dev (<< 0.14),
 libghc-glib-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-pango-dev (>= 0.13.0.0),
 libghc-pango-dev (<< 0.14),
 libghc-pango-prof,
 libghc-text-dev (>= 0.11.0.6),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libgtk2.0-dev,
 gtk2hs-buildtools (>= 0.13.0.4),
Build-Depends-Indep: ghc-doc,
 libghc-cairo-doc,
 libghc-gio-doc,
 libghc-glib-doc,
 libghc-mtl-doc,
 libghc-pango-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-gtk-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libgtk2.0-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

## haskell-gtk 0.14.2

=== debian/changelog ===
haskell-gtk (0.14.2-2build2) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jun 2016 17:58:00 +0100

haskell-gtk (0.14.2-2build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Apr 2016 14:36:19 +0100

haskell-gtk (0.14.2-2) unstable; urgency=medium

  * Run setup build even if only building documentation

 -- Joachim Breitner <nomeata@debian.org>  Mon, 21 Mar 2016 16:59:11 +0100

haskell-gtk (0.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 13 Mar 2016 18:48:33 -0400

## haskell-gtk 0.14.6

=== debian/changelog ===
haskell-gtk (0.14.6-1build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:36:53 +0000

haskell-gtk (0.14.6-1build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2017 12:50:41 +0100

haskell-gtk (0.14.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:02:32 -0400

haskell-gtk (0.14.5-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:55 -0400

haskell-gtk (0.14.5-2) experimental; urgency=medium

  * Add gtk2hs-buildtools libraries to Build-Depends.

 -- Clint Adams <clint@debian.org>  Mon, 24 Oct 2016 21:23:52 -0400

haskell-gtk (0.14.5-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 20:11:23 -0400

=== debian/control ===
Source: haskell-gtk
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 gtk2hs-buildtools (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (<< 0.14),
 libghc-gtk2hs-buildtools-prof,
 haskell-devscripts (>= 0.13),
 libghc-cairo-dev (<< 0.14),
 libghc-cairo-dev (>= 0.13.0.0),
 libghc-cairo-prof,
 libghc-gio-dev (<< 0.14),
 libghc-gio-dev (>= 0.13.0),
 libghc-gio-prof,
 libghc-glib-dev (<< 0.14),
 libghc-glib-dev (>= 0.13.0.0),
 libghc-glib-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-pango-dev (<< 0.14),
 libghc-pango-dev (>= 0.13.0.0),
 libghc-pango-prof,
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 0.11.0.6),
 libghc-text-prof,
 libgtk2.0-dev,
Build-Depends-Indep:
 ghc-doc,
 libghc-gtk2hs-buildtools-doc,
 libghc-cairo-doc,
 libghc-gio-doc,
 libghc-glib-doc,
 libghc-mtl-doc,
 libghc-pango-doc,
 libghc-text-doc,
Standards-Version: 3.9.8
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-gtk
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-gtk-dev
Architecture: any
Depends:
 libgtk2.0-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

Package: libghc-gtk-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Binding to the Gtk+ graphical user interface library${haskell:ShortBlurb}
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.
 .
 ${haskell:Blurb}

## haskell-gtk 0.14.7

=== debian/changelog ===
haskell-gtk (0.14.7-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:51 -0400

haskell-gtk (0.14.7-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 16:34:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-gtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -42,10 +41,10 @@
  libghc-mtl-doc,
  libghc-pango-doc,
  libghc-text-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-gtk
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-gtk-dev
 Architecture: any

## haskell-gtk 0.14.10

=== debian/changelog ===
haskell-gtk (0.14.10-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:39:39 +0200

haskell-gtk (0.14.10-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 21:40:36 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 9),
@@ -44,7 +45,7 @@
 Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk]
 
 Package: libghc-gtk-dev
 Architecture: any

## haskell-gtk 0.15.2

=== debian/changelog ===
haskell-gtk (0.15.2-2) unstable; urgency=medium

  * Patch for newer glib

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Aug 2019 16:21:32 +0200

haskell-gtk (0.15.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 01 Aug 2019 19:09:30 -0400

haskell-gtk (0.14.10-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:31 +0300

haskell-gtk (0.14.10-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:07 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  gtk2hs-buildtools (>= 0.13.2.0),
  libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
@@ -24,14 +24,9 @@
  libghc-glib-dev (<< 0.14),
  libghc-glib-dev (>= 0.13.0.0),
  libghc-glib-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-pango-dev (<< 0.14),
  libghc-pango-dev (>= 0.13.0.0),
  libghc-pango-prof,
- libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 0.11.0.6),
- libghc-text-prof,
  libgtk2.0-dev,
 Build-Depends-Indep:
  ghc-doc,
@@ -39,9 +34,7 @@
  libghc-cairo-doc,
  libghc-gio-doc,
  libghc-glib-doc,
- libghc-mtl-doc,
  libghc-pango-doc,
- libghc-text-doc,
 Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk

## haskell-gtk 0.15.5

=== debian/changelog ===
haskell-gtk (0.15.5-1build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:20:36 -0500

haskell-gtk (0.15.5-1build1) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:31:13 +0000

haskell-gtk (0.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 19 Aug 2020 06:41:51 +0300

haskell-gtk (0.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 17:50:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-gtk
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
+
+
+# With gtk2hs-buildtools, haddock needs a built tree
+build-haddock-stamp: build-ghc-stamp

## haskell-gtk 0.15.7

=== debian/changelog ===
haskell-gtk (0.15.7-1) unstable; urgency=medium

  * New upstream release (Closes: #1011834)
  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 23 Jul 2022 15:53:16 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haskell-gtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -36,7 +35,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk]

## haskell-gtk 0.15.8

=== debian/changelog ===
haskell-gtk (0.15.8-1build4) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Apr 2024 23:19:25 +0200

haskell-gtk (0.15.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:21:37 +0000

haskell-gtk (0.15.8-1build2) noble; urgency=medium

  * No-change rebuild against libgtk2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:19:13 +0000

haskell-gtk (0.15.8-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:51:25 +0000

haskell-gtk (0.15.8-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 13 Sep 2023 18:13:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-gtk
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -35,7 +36,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk]

## haskell-gtk 0.15.9

=== debian/changelog ===
haskell-gtk (0.15.9-1build1) plucky; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Mar 2025 09:03:07 +0100

haskell-gtk (0.15.9-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Oct 2024 21:03:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-gtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -36,7 +35,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk]
